Skype for Business 2016 or Skype for Business 2015 (Lync 2013) crashes in a Citrix-based VDI environment

Applies to: Skype for Business 2015Skype for Business 2016Microsoft Lync 2013

Symptoms


When you use Microsoft Skype for Business 2016 or Skype for Business 2015 (Lync 2013) in a Citrix-based Virtual Desktop Infrastructure (VDI) environment, the Skype for Business client may crash. This issue occurs because the device certification string that's passed by Citrix isn't the expected size.

Resolution


For Skype for Business 2016, install the June 5, 2018, update (KB4022155).

For Skype for Business 2015 (Lync 2013), install the June 5, 2018, update (KB4022170).

Note Lync 2013 was upgraded to Skype for Business in April 2015.